
;******************************************************
; initialize chn values
;******************************************************

	instr 1

#define InitChnParams(N) #
	chnset	giStruglKor, "Partikkel$NSourceWave1"	; source audio waveform 1
	chnset	giVibDist, "Partikkel$NSourceWave2"	; source audio waveform 2
	chnset	giFolwPiano, "Partikkel$NSourceWave3"	; source audio waveform 3
	chnset	giHendrix1, "Partikkel$NSourceWave4"	; source audio waveform 4

	chnset	0, "Partikkel$NSamplepos1Line"		; time pointer (phase) for source waveform 1
	chnset	0, "Partikkel$NSamplepos2Line"		; time pointer (phase) for source waveform 2
	chnset	0, "Partikkel$NSamplepos3Line"		; time pointer (phase) for source waveform 3
	chnset	0, "Partikkel$NSamplepos4Line"		; time pointer (phase) for source waveform 4

	chnset	1.0, "Partikkel$NAmpLine"		; output amplitude
	chnset	0.0, "Partikkel$NSyncGravityLine"	; sync amount

	chnset	4.0, "Partikkel$NGrainRateLine"		; number of grains per second
	chnset	3.0, "Partikkel$NGrFmFreqLine"		; FM freq for modulating the grainrate 
	chnset	0.0, "Partikkel$NGrFmIndexLine"		; FM index for modulating the grainrate (normally kept in a 0.0 to 1.0 range)
	chnset	0.0, "Partikkel$NDistributionLine"	; grain random distribution in time
	chnset	3.0, "Partikkel$NGrainDurLine"		; length of each grain relative to grain rate 
	chnset	0.0, "Partikkel$NSustainLine"		; balance between enveloped time(attack+decay) and sustain level time, 0.0 = no time at sustain level
	chnset	0.5, "Partikkel$NAdRatioLine"		; balance between attack time and decay time, 0.0 = zero attack time and full decay time
	chnset	0.0, "Partikkel$NEnv2AmtLine"		; amount of secondary enveloping per grain (e.g. for fof synthesis)
	chnset	1.0, "Partikkel$NGrainPitchLine"		; transposition (playback speed) of audio inside grains, as transposition factor (cps)
	chnset	1.0, "Partikkel$NGrainPitch1Line"		; transposition, individually per source wave, *in cents*
	chnset	1.0, "Partikkel$NGrainPitch2Line"		; transposition, individually per source wave, *in cents*
	chnset	1.0, "Partikkel$NGrainPitch3Line"		; transposition, individually per source wave, *in cents*
	chnset	1.0, "Partikkel$NGrainPitch4Line"		; transposition, individually per source wave, *in cents*
	chnset	0.5, "Partikkel$NSweepshapeLine"		; grain wave pitch sweep shape (sweep speed), 0.5 is linear sweep
	chnset	440, "Partikkel$NPitchFmFreqLine"		; FM freq, modulating waveform pitch
	chnset	0.0, "Partikkel$NPitchFmIndexLine"	; FM index, modulating waveform pitch
	chnset	220, "Partikkel$NTrainCpsLine"		; Trainlet frequency
	chnset	7,   "Partikkel$NTrainPartialsLine"	; number of partials in trainlets
	chnset	3.0, "Partikkel$NTrainChromaLine"		; chroma, falloff of partial amplitude towards sr/2
	chnset	0.0, "Partikkel$NRandomMaskLine"		; random masking
	chnset	0.0, "Partikkel$NWaveXLine"		; wave mix X axis
	chnset	0.0, "Partikkel$NWaveYLine"		; wave mix Y axis
	chnset	0.0, "Partikkel$NTrainAmpLine"		; balance of trainlets and other source waves
	
#

$InitChnParams(1)
$InitChnParams(2)
$InitChnParams(3)
$InitChnParams(4)


	; ringmod and bandpass parameters
	chnset	440, "Ringmod1Frequency" 		; modulator frequency
	chnset	1.0, "Ringmod1Mix" 			; dry/wet mix
	chnset	800, "Bandpass1Cutoff" 			; cutoff frequency
	chnset	0.1, "Bandpass1Bandwidth" 		; bandwidth (as factor of cutoff frequency)

	; delay effect parameters
	chnset	250, "DelayTimeLeftLine"		; left channel delay time in milliseconds for vdelay
	chnset	350, "DelayTimeRightLine"		; right channel delay time in milliseconds for vdelay
	chnset	0.5, "DelayFeedbackLine"		; delay feedback
	chnset	0.0, "DelayXfeedLine"			; cross feedback L to R and R to L

	; reverb effect parameters
	chnset	0.85, "ReverbFeedbackLine"		; reverb feedback affects reverb time
	chnset	7000, "ReverbLPFLine"			; low pass frequency for reverb feedback loop

	endin
	
