
; automation instruments examples (quick reference for commands and p-fields)

; generate curved line from startVal to endVal
;	start	dur	ParameterName		startVal	endVal		Curve			
;i2	0	3	"Partikkel1GrainPitch"	1		2		3			

; generate curved line from (current value) to endVal
;	start	dur	ParameterName				endVal		Curve			
;i3	0	1	"Partikkel1GrainPitch"			2		0			

; use an LFO to modulate a parameter value
;	start	dur	ParameterName		LfoAmount	LfoFreq					Fadein	Fadeout
;i4	1	6	"Partikkel1GrainPitch"	0.5		0.4					1	1

; use random signal (rspline) to modulate a parameter value
;	start	dur	ParameterName		minValue	maxValue	cpsMin	cpsMax		Fadein	Fadeout
;i5	0	3	"Partikkel1GrainPitch"	0		1		10	100		1	1

; rewrite ftables
; morph to new ftable using curved line transition
;	start	dur	TableName		Curve		Table values (start, end, v1,v2,v3,v4....)
;i10	3	5	"giwavfreqstarttab1"	0		0 2 1 1 2

; morph between current and new ftable using an LFO as control signal
;	start	dur	TableName		LfoAmount	LfoFreq		Fadein	Fadeout		Table values (start, end, v1,v2,v3,v4....)
;i11	8	10	"giwavfreqstarttab1"	1		0.8		3	5		0 4 1 2 3 4 5

; morph between current and new ftable using a random signal (rspline) as control signal
;	start	dur	ParameterName		minValue	maxValue	cpsMin	cpsMax		Fadein	Fadeout		Table values (start, end, v1,v2,v3,v4....)
;i12	6	20	"giwavfreqstarttab1"	0		1		1	10		3	3		0 2 1 1 1

; set source waveforms
;	start	dur	PartikkelVoice	waveSlot (1 to 4)	waveName (global ftable name)
;i20	0	1	1		1			"giVibDist"

;***************************************************

; test automation

;	start	dur	ParameterName				endVal		Curve			
i3	0	1	"Partikkel1WaveX"			0.5		0
i3	.	.	"Partikkel1WaveY"			0.5		0
i3	.	.	"Partikkel1GrainRate"			15		0			
i3	.	.	"Partikkel1GrainDur"			3		0			

i51	1	$SCORELEN								; partikkel instrument

;	start	dur	PartikkelVoice	waveSlot (1 to 4)	waveName (global ftable name)
i20	1	1	1		1			"giStruglKor"
i20	.	.	.		2			"giStruglKor"
i20	.	.	.		3			"giStruglKor"
i20	.	.	.		4			"giStruglKor"

;	start	dur	ParameterName				endVal		Curve			
i3	1	6	"Partikkel1Samplepos1"			0.2		0
i3	.	.	"Partikkel1Samplepos2"			.		.
i3	.	.	"Partikkel1Samplepos3"			.		.
i3	.	.	"Partikkel1Samplepos4"			.		.

i3	5	3	"Partikkel1GrainRate"			25		0
i3	+	3	"Partikkel1GrainRate"			15		0
i3	4	3	"Partikkel1GrainDur"			0.8		-3
i3	+	3	"Partikkel1GrainDur"			3		0

i3	9	5	"Partikkel1Samplepos1"			0.32		0
i3	.	.	"Partikkel1Samplepos2"			0.32		.
i3	.	.	"Partikkel1Samplepos3"			0.32		.
i3	.	.	"Partikkel1Samplepos4"			0.32		.

i3	+	5	"Partikkel1GrainPitch1"			100		0
i3	^+0	.	"Partikkel1GrainPitch2"			-100		.
i3	.	.	"Partikkel1GrainPitch3"			200		.
i3	.	.	"Partikkel1GrainPitch4"			-200		.

i3	+	6	"Partikkel1Samplepos1"			0.8		0
i3	^+0	.	"Partikkel1Samplepos2"			0.8		.
i3	.	.	"Partikkel1Samplepos3"			0.8		.
i3	.	.	"Partikkel1Samplepos4"			0.8		.

i3	+	6	"Partikkel1Samplepos1"			0.5		0
i3	^+0	.	"Partikkel1Samplepos2"			0.5		.
i3	.	.	"Partikkel1Samplepos3"			0.5		.
i3	.	.	"Partikkel1Samplepos4"			0.5		.

;	start	dur	ParameterName		LfoAmount	LfoFreq		Fadein	Fadeout
i4.1	31	-1	"Partikkel1Samplepos1"	0.3		0.42		1	0
i4.2	.	.	"Partikkel1Samplepos2"	.		0.35		.	.
i4.3	.	.	"Partikkel1Samplepos3"	.		0.28		.	.
i4.4	.	.	"Partikkel1Samplepos4"	.		0.4		.	.

i4.1	41	-1	"Partikkel1Samplepos1"	0.3		0.47		0	0
i4.1	^+1	.	"Partikkel1Samplepos1"	>		>		.	.
i4.1	^+1	.	"Partikkel1Samplepos1"	>		>		.	.
i4.1	^+1	.	"Partikkel1Samplepos1"	0.5		0.9		.	.
i4.1	^+1	5	"Partikkel1Samplepos1"	.		0.9		.	5

i4.2	41	-1	"Partikkel1Samplepos2"	0.3		0.42		0	0
i4.2	^+1	.	"Partikkel1Samplepos2"	>		>		.	.
i4.2	^+1	.	"Partikkel1Samplepos2"	>		>		.	.
i4.2	^+1	.	"Partikkel1Samplepos2"	0.5		0.9		.	.
i4.2	^+1	5	"Partikkel1Samplepos2"	.		0.9		.	5

i4.3	41	-1	"Partikkel1Samplepos3"	0.3		0.35		0	0
i4.3	^+1	.	"Partikkel1Samplepos3"	>		>		.	.
i4.3	^+1	.	"Partikkel1Samplepos3"	>		>		.	.
i4.3	^+1	.	"Partikkel1Samplepos3"	0.5		0.9		.	.
i4.3	^+1	5	"Partikkel1Samplepos3"	.		0.9		.	5

i4.4	41	-1	"Partikkel1Samplepos4"	0.3		0.45		0	0
i4.4	^+1	.	"Partikkel1Samplepos4"	>		>		.	.
i4.4	^+1	.	"Partikkel1Samplepos4"	>		>		.	.
i4.4	^+1	.	"Partikkel1Samplepos4"	0.5		0.9		.	.
i4.4	^+1	5	"Partikkel1Samplepos4"	.		0.9		.	5

i3	32	18	"Partikkel1GrainPitch"			2		4
i3	52	3	"Partikkel1GrainPitch1"			400		4
i3	.	3	"Partikkel1GrainPitch4"			-500		4

i3	56	3	"Partikkel1GrainPitch1"			600		2
i3	.	.	"Partikkel1GrainPitch4"			-400		2

i3	59	2	"Partikkel1GrainPitch2"			0		.

i3	61	3	"Partikkel1GrainPitch1"			100		2
i3	^+1	3	"Partikkel1GrainPitch2"			-300		2
i3	^+1	3	"Partikkel1GrainPitch3"			-100		2
i3	^+1	3	"Partikkel1GrainPitch4"			-800		2
i3	^+4	4	"Partikkel1GrainPitch2"			-600		2
i3	^+2	3	"Partikkel1GrainPitch4"			-400		2

i4	50	20	"Partikkel1Samplepos1"	0.1		0.3		1	1
i4	.	.	"Partikkel1Samplepos2"	.		.		.	.
i4	.	.	"Partikkel1Samplepos3"	.		.		.	.
i4	.	.	"Partikkel1Samplepos4"	.		.		.	.

i3	55	20	"Partikkel1Samplepos1"			0.2		0
i3	.	.	"Partikkel1Samplepos2"			.		.
i3	.	.	"Partikkel1Samplepos3"			.		.
i3	.	.	"Partikkel1Samplepos4"			.		.

i4	75	90	"Partikkel1Samplepos1"	0.05		0.02		1	1
i4	.	.	"Partikkel1Samplepos2"	.		.		.	.
i4	.	.	"Partikkel1Samplepos3"	.		.		.	.
i4	.	.	"Partikkel1Samplepos4"	.		.		.	.

;	start	dur	ParameterName		minValue	maxValue	cpsMin	cpsMax		Fadein	Fadeout
i5	75	145	"Partikkel1Samplepos1"	0.001		0.02		1	5		10	20
i5	.	.	"Partikkel1Samplepos2"	.		.		.	.		.	.
i5	.	.	"Partikkel1Samplepos3"	.		.		.	.		.	.
i5	.	.	"Partikkel1Samplepos4"	.		.		.	.		.	.


i3	90	3	"Partikkel1GrainPitch1"			-1200		0
i3	+	3	"Partikkel1GrainPitch2"			-1200		0
i3	+	3	"Partikkel1GrainPitch3"			-1200		0
i3	+	3	"Partikkel1GrainPitch4"			-1200		0

i3	140	15	"Partikkel1Samplepos1"			0.7		0
i3	.	.	"Partikkel1Samplepos2"			.		.
i3	.	.	"Partikkel1Samplepos3"			.		.
i3	.	.	"Partikkel1Samplepos4"			.		.

i3	+	15	"Partikkel1Samplepos1"			0.95		0
i3	^+0	.	"Partikkel1Samplepos2"			.		.
i3	^+0	.	"Partikkel1Samplepos3"			.		.
i3	^+0	.	"Partikkel1Samplepos4"			.		.

i3	+	10	"Partikkel1Samplepos1"			0.78		0
i3	^+0	.	"Partikkel1Samplepos2"			.		.
i3	^+0	.	"Partikkel1Samplepos3"			.		.
i3	^+0	.	"Partikkel1Samplepos4"			.		.

i3	+	20	"Partikkel1Samplepos1"			0.75		0
i3	^+0	.	"Partikkel1Samplepos2"			.		.
i3	^+0	.	"Partikkel1Samplepos3"			.		.
i3	^+0	.	"Partikkel1Samplepos4"			.		.

;	start	dur	TableName		Curve		Table values (start, end, v1,v2,v3,v4....)
i10	100	1	"gichannelmasks1"	0		0 0 \
								0.5 0.5 0.5 0.5 0.5 \
								0.5 0.5 0.5 0.5 0.5 \
								0.5 0.5 0.5 0.5 0.5 \
								0.5 0.5 0.5 0.5 0.5 

i10	+	7	"gichannelmasks1"	0		0 19 \
								4.0 0.5 0.5 0.5 0.5 \
								0.5 0.5 0.5 0.5 0.5 \
								0.5 0.5 0.5 0.5 0.5 \
								4.0 0.5 0.5 0.5 0.5 

i10	+	7	"gichannelmasks1"	0		0 19 \
								5.5 0.5 0.5 0.5 0.5 \
								0.5 3.0 0.5 0.5 0.5 \
								3.0 0.5 0.5 0.5 3.0 \
								5.5 0.5 0.5 0.5 0.5 

i10	+	7	"gichannelmasks1"	0		0 19 \
								5.5 0.5 0.5 0.5 4.0 \
								0.5 6.5 0.5 0.5 4.0 \
								6.5 0.5 0.5 0.5 6.5 \
								5.5 0.5 0.5 0.5 4.0 

i10	+	7	"gichannelmasks1"	0		0 19 \
								5.5 0.5 3.0 0.5 4.0 \
								3.0 6.5 0.5 3.0 4.0 \
								6.5 3.0 0.5 0.5 6.5 \
								5.5 0.5 3.0 0.5 4.0 

i10	110	1	"giwavfreqstarttab1"	0		0 0 \
								1.0 1.0 1.0 1.0 \
								1.0 1.0 1.0 1.0 \
								1.0 1.0 1.0 1.0 \
								1.0 1.0 1.0 1.0 \

i10	+	10	"giwavfreqstarttab1"	0		0 15 \
								1.2 1.0 1.0 1.2 \
								1.0 1.0 1.2 1.0 \
								1.0 1.0 1.2 1.0 \
								1.0 1.2 1.0 1.0 \


i10	115	1	"giwavfreqendtab1"	0		0 0 \
								1.0 1.0 1.0 1.0 \
								1.0 1.0 1.0 1.0 \
								1.0 1.0 1.0 1.0 \
								1.0 1.0 1.0 1.0 \

i10	+	10	"giwavfreqendtab1"	0		0 15 \
								1.0 1.2 1.0 1.2 \
								1.0 1.0 1.2 1.0 \
								1.2 1.0 1.0 1.2 \
								1.0 1.2 1.0 1.0 \

i10	130	30	"giwavfreqstarttab1"	0		0 15 \
								1.0 1.0 1.2 1.0 \
								1.0 1.0 1.2 1.0 \
								1.0 1.2 1.0 1.0 \
								1.2 1.0 1.0 1.2 \

i10	137	30	"giwavfreqendtab1"	0		0 11 \
								1.2 1.0 1.2 1.0 \
								1.0 1.0 1.2 1.0 \
								1.0 1.2 1.0 1.0 \
								1.0 1.0 1.0 1.0 \

i10	145	1	"gifmamptab1"	0			0 0 \
								0.0 0.0 0.0 0.0 \
								0.0 0.0 0.0 0.0 \
								0.0 0.0 0.0 0.0 \
								0.0 0.0 0.0 0.0 \

;	start	dur	ParameterName				endVal		Curve			
i3	146	2	"Partikkel1GrFmIndex"			1		0
i3	146	2	"Partikkel1PitchFmIndex"		1		0
;	start	dur	ParameterName		 LfoAmount	LfoFreq		Fadein	Fadeout
i4	146	30	"Partikkel1GrFmFreq"	 200		0.21		3	3
i4	146	30	"Partikkel1PitchFmFreq" 200		0.21		3	3


i10	146	30	"gifmamptab1"	0			0 11 \
								1.0 0.0 0.0 1.0 \
								0.0 0.0 1.0 0.0 \
								0.0 1.0 0.0 0.0 \

i3	160	20	"Partikkel1GrainDur"			0.8		0
i3	^+10	30	"Partikkel1GrainRate"			60		-2
i3	+	20	"Partikkel1GrainRate"			8		0
i4	^+0	20	"Partikkel1GrainRate"	3		0.38		9	9


; smooth out and normalize

i3	220	30	"Partikkel1GrFmIndex"			0		0
i3	220	30	"Partikkel1PitchFmIndex"			0		0
i3	220	30	"Partikkel1GrainDur"			3		0
i3	220	30	"Partikkel1GrainRate"			15		0
i10	220	30	"giwavfreqendtab1"	0		0 0 \
								1.0 1.0 1.0 1.0 \
								1.0 1.0 1.0 1.0 \
								1.0 1.0 1.0 1.0 \
								1.0 1.0 1.0 1.0 \

i10	220	30	"giwavfreqstarttab1"	0		0 0 \
								1.0 1.0 1.0 1.0 \
								1.0 1.0 1.0 1.0 \
								1.0 1.0 1.0 1.0 \
								1.0 1.0 1.0 1.0 \

i10	220	30	"gichannelmasks1"	0		0 0 \
								6.5 6.5 6.5 6.5 6.5 \
								6.5 6.5 6.5 6.5 6.5 \
								6.5 6.5 6.5 6.5 6.5 \
								6.5 6.5 6.5 6.5 6.5 \

i10	220	30	"gifmamptab1"	0			0 0 \
								0.0 0.0 0.0 0.0 \
								0.0 0.0 0.0 0.0 \
								0.0 0.0 0.0 0.0 \
								0.0 0.0 0.0 0.0 \

i3	210	20	"Partikkel1Samplepos1"			0.55		0
i3	^+0	.	"Partikkel1Samplepos2"			.		.
i3	^+0	.	"Partikkel1Samplepos3"			.		.
i3	^+0	.	"Partikkel1Samplepos4"			.		.

i3	+	20	"Partikkel1Samplepos1"			0.75		0
i3	^+0	.	"Partikkel1Samplepos2"			.		.
i3	^+0	.	"Partikkel1Samplepos3"			.		.
i3	^+0	.	"Partikkel1Samplepos4"			.		.

i10	250	10	"gichannelmasks1"	0		0 0 \
								0.5
;	start	dur	ParameterName		minValue	maxValue	cpsMin	cpsMax		Fadein	Fadeout
i5	240	60	"Partikkel1Samplepos1"	0.001		0.02		1	5		10	20
i5	.	.	"Partikkel1Samplepos2"	.		.		.	.		.	.
i5	.	.	"Partikkel1Samplepos3"	.		.		.	.		.	.
i5	.	.	"Partikkel1Samplepos4"	.		.		.	.		.	.

i3	260	20	"Partikkel1GrainDur"			0.1		0

/*
i51	1	$SCORELEN								; partikkel instrument
i10	2	2	"giwavfreqstarttab1"	0		0 2 1 2 3
i12	6	20	"giwavfreqstarttab1"	0		1		1	10		3	3		0 2 1 1 1
*/


/*
; sync
i51	1	$SCORELEN								; partikkel instrument
i52	1	$SCORELEN								; partikkel instrument
i53	1	$SCORELEN								; partikkel instrument
i54	1	$SCORELEN								; partikkel instrument
i3	0	1	"Partikkel1GrainRate"			4		0			
i3	0	1	"Partikkel2GrainRate"			5		0			
i3	0	1	"Partikkel3GrainRate"			3		0			
i3	0	1	"Partikkel4GrainRate"			3.5		0			
i3	0	1	"Partikkel1Samplepos1"			0.5		0			
i3	0	1	"Partikkel2Samplepos1"			0.5		0			
i3	0	1	"Partikkel3Samplepos1"			0.5		0			
i3	0	1	"Partikkel4Samplepos1"			0.5		0			
i3	2	3	"Partikkel1GrainPitch"			1		0
i3	2	3	"Partikkel2GrainPitch"			1.5		0
i3	2	3	"Partikkel3GrainPitch"			2		0
i3	2	3	"Partikkel4GrainPitch"			0.5		0
i3	0	1	"Partikkel1GrainDur"			0.3		0
i3	0	1	"Partikkel2GrainDur"			0.3		0			
i3	0	1	"Partikkel3GrainDur"			0.3		0			
i3	0	1	"Partikkel4GrainDur"			0.3		0			
i3	15	20	"Partikkel2SyncGravity"			0.3		1
i3	15	20	"Partikkel3SyncGravity"			0.3		1
i3	15	20	"Partikkel4SyncGravity"			0.3		1
*/
