; delay effect
; ainL and ainR are inputs, aLeft and aRight are outputs

; controls: time, feed
kDelTimeL	chnget	"DelayTimeLeft" 	; left channel delay time in milliseconds for vdelay
kDelTimeR	chnget	"DelayTimeRight" 	; right channel delay time in milliseconds for vdelay
kFeedback	chnget	"DelayFeedback"		; delay feedback
kXfeed		chnget	"DelayXfeed"		; cross feedback L to R and R to L
imaxdel		= 5000

; upsample and filter delay time changes
aDelTimeL	interp	kDelTimeL
aDelTimeR	interp	kDelTimeR
aDelTimeL	butterlp aDelTimeL, 4
aDelTimeR	butterlp aDelTimeR, 4

; feedback and cross feedback
aDlyL		init 0
aDlyR		init 0
ainL		= ainL + (aDlyL*kFeedback) + (aDlyR*kXfeed)
ainR		= ainR + (aDlyR*kFeedback) + (aDlyL*kXfeed)

; delay processing
aDlyL		vdelay	ainL, aDelTimeL, imaxdel
aDlyR		vdelay	ainR, aDelTimeR, imaxdel

aLeft	= (aDlyL*iMix)+(ainL*(1-iMix))
aRight 	= (aDlyR*iMix)+(ainR*(1-iMix))

