
;***************************************************
; ringmodulator effect 1, with reverb send
;***************************************************
	instr 93
; audio input
	ain		chnget	"Ringmod1Send"
	inLevel		= 1.0
	ain		= ain * inLevel

; controls: modulator frequency, mix
kModFreq	chnget	"Ringmod1Frequency" 	; modulator frequency
kMix		chnget	"Ringmod1Mix" 		; dry/wet mix

aMod		oscil	1, kModFreq, giSine
aMod		= (ain*aMod*kMix) + (ain*(1-kMix))

iReverbSend	= 0.4
aReverb		= aMod*iReverbSend
aLeft		= aMod*(1-iReverbSend)
aRight 		= aLeft

; send to master and reverb
	chnmix	aReverb,"ReverbSendLeft"
	chnmix	aReverb, "ReverbSendRight"

	chnmix	aLeft,	"MasterAudioLeft"
	chnmix	aRight,	"MasterAudioRight"

; clear chn channels used for mixing 
	chnclear	"Ringmod1Send"

	endin

;******************************************************

;***************************************************
; bandpass filter effect 1, with delay send
;***************************************************
	instr 95
; audio input
	ain		chnget	"Bandpass1Send"
	inLevel		= 0.7
	ain		= ain * inLevel

; controls: cutoff frequency, bandwidth
kCutoff		chnget	"Bandpass1Cutoff" 	; cutoff frequency
kBandwidth	chnget	"Bandpass1Bandwidth" 	; bandwidth (as factor of cutoff frequency)

aBand		butterbp	ain, kCutoff, kCutoff*kBandwidth
aBal		balance		aBand, ain

iDelaySend	= 0.3
aDelay		= aBal*iDelaySend
aLeft		= aBal*(1-iDelaySend)
aRight 		= aLeft

; send to master and delay
	chnmix	aDelay,	"DelaySendLeft"
	chnmix	aDelay,	"DelaySendRight"
	chnmix	aLeft,	"MasterAudioLeft"
	chnmix	aRight,	"MasterAudioRight"

; clear chn channels used for mixing 
	chnclear	"Bandpass1Send"

	endin

;******************************************************


;***************************************************
; delay effect
;***************************************************
	instr 97
; audio input
	ainL		chnget	"DelaySendLeft"
	ainR		chnget	"DelaySendRight"
	inLevel		= 1.0
	iMix		= 0.5
	ainL		= ainL * inLevel
	ainR		= ainR * inLevel

#include "efx_delay.inc"

; send to master 
	chnmix	aLeft,	"MasterAudioLeft"
	chnmix	aRight,	"MasterAudioRight"

; clear chn channels used for mixing 
	chnclear	"DelaySendLeft"
	chnclear	"DelaySendRight"

	endin

;******************************************************

;***************************************************
; simple reverb
;***************************************************
	instr 99

; audio input
	ainL		chnget	"ReverbSendLeft"
	ainR		chnget	"ReverbSendRight"
	inLevel		= 1.0
	iMix		= 0.4
	ainL		= ainL * inLevel
	ainR		= ainR * inLevel

; reverb effect
	kfblvl		chnget	"ReverbFeedback"
	kfco		chnget	"ReverbLPF"
	aRvbL, aRvbR 	reverbsc ainL, ainR, kfblvl, kfco
	aLeft		= (aRvbL*iMix)+(ainL*(1-iMix))
	aRight 		= (aRvbR*iMix)+(ainR*(1-iMix))

; send to master 
	chnmix	aLeft,	"MasterAudioLeft"
	chnmix	aRight,	"MasterAudioRight"

; clear chn channels used for mixing 
	chnclear	"ReverbSendLeft"
	chnclear	"ReverbSendRight"

	endin
;***************************************************

