<CsoundSynthesizer>
<CsOptions>
;-odac1 -b2000 -B4000
;-oautomationScore.wav
</CsOptions>
<CsInstruments>

;***************************************************
; globals
;***************************************************

	sr 	= 44100
	ksmps 	= 10
	nchnls 	= 2

gapulse1	init	0
gapulse2	init	0
gapulse3	init	0
gapulse4	init	0

;***************************************************
;ftables
;***************************************************
#include "globals_ftables.inc"
#include "partikkel_ftables.inc"

;******************************************************
; initialize chn values
;******************************************************
#include "chnparms_init.inc"

;******************************************************
; generate automation
;******************************************************
#include "automation_instruments.inc"

;******************************************************
; partikkel instr
;******************************************************
#include "partikkel_instr.inc"
	instr 51
$PartikkelInstrument(1)
	endin
	instr 52
$PartikkelInstrument(2)
	endin
	instr 53
$PartikkelInstrument(3)
	endin
	instr 54
$PartikkelInstrument(4)
	endin

;***************************************************
; global effects
;***************************************************
#include "global_effects.inc"

;***************************************************
; master audio out
;***************************************************
#include "master_audio_out.inc"

;***************************************************
;***************************************************
</CsInstruments>
<CsScore>

;***************************************************
#define SCORELEN # 80 #					; set length of score
#define cpsMidi(N) # [440*(1.0594631^($N-69))] #	; get cps value from (midi style) note number
#define semiTone(N) # [1.0594631^$N] #			; transposition by semitones

i1	0 	1		; init parameter values

; enable always on instruments 
i93	0	$SCORELEN	; ringmod
i95	0	$SCORELEN	; bandpass
i97	0	$SCORELEN	; delay
i99	0	$SCORELEN	; reverb
i100	0	$SCORELEN	; master audio out
#include "chnMixControls.inc"
;***************************************************
;#include "score_example_cps.inc"
;#include "clusterscore1.inc"
#include "synctest1.inc"
;#include "synctest2.inc"
;#include "morph_ftables_example1.inc"
</CsScore>

</CsoundSynthesizer>
