
;***************************************************
;ftables for partikkel
;***************************************************

#define PartikkelTables(N) #
	gidisttab$N		ftgentmp	0, 0, 64, 16, 1, 64, 0, 0	; probability distribution for random grain masking
	giwavfreqstarttab$N 	ftgentmp	0, 0, 64, -2, 0, 0,   1		; start freq scalers, per grain
	giwavfreqendtab$N	ftgentmp	0, 0, 64, -2, 0, 0,   1		; end freq scalers, per grain
	gifmamptab$N		ftgentmp	0, 0, 64, -2, 0, 0,   1		; FM index scalers, per grain
	gigainmasks$N		ftgentmp	0, 0, 64, -2, 0, 0,   1		; gain masking table, amplitude for individual grains
	gichannelmasks$N	ftgentmp	0, 0, 64, -2,  0, 0,  0.5	; channel masking table, output routing for individual grains (zero based, a value of 0.0 routes to output 1)

	; Wave mix : set gain per source waveform per grain, 
	; in groups of 5 amp values, reflecting source1, source2, source3, source4, and the 5th slot is for trainlet amplitude.
	giwaveamptab$N		ftgentmp	0, 0, 64, -2, 0, 0,   1,0,0,0,0

	; write ftable numbers to named chn channels, to enable using strings in the score to point to ftable numbers
	Sdisttab		sprintf	"gidisttab%i", $N
	Swavfreqstarttab	sprintf	"giwavfreqstarttab%i", $N
	Swavfreqendtab		sprintf	"giwavfreqendtab%i", $N
	Sfmamptab		sprintf	"gifmamptab%i", $N
	Sgainmasks		sprintf	"gigainmasks%i", $N
	Schannelmasks		sprintf	"gichannelmasks%i", $N
	Swaveamptab		sprintf	"giwaveamptab%i", $N

	chnset	gidisttab$N, Sdisttab
	chnset	giwavfreqstarttab$N, Swavfreqstarttab
	chnset	giwavfreqendtab$N, Swavfreqendtab
	chnset	gifmamptab$N, Sfmamptab
	chnset	gigainmasks$N, Sgainmasks
	chnset	gichannelmasks$N, Schannelmasks
	chnset	giwaveamptab$N, Swaveamptab
#

$PartikkelTables(1)
$PartikkelTables(2)
$PartikkelTables(3)
$PartikkelTables(4)
