
; automation instruments examples (quick reference for commands and p-fields)

; generate curved line from startVal to endVal
;	start	dur	ParameterName		startVal	endVal		Curve			
;i2  	0	3	"Partikkel1GrainPitch" 	1		2		3			

; generate curved line from (current value) to endVal
;	start	dur	ParameterName				endVal		Curve			
;i3	0 	1	"Partikkel1GrainPitch" 			2		0			

; use an LFO to modulate a parameter value
;  	start	dur	ParameterName		LfoAmount	LfoFreq					Fadein	Fadeout
;i4	1	6	"Partikkel1GrainPitch" 	0.5		0.4					1	1

; use random signal (rspline) to modulate a parameter value
;	start	dur	ParameterName		minValue	maxValue	cpsMin	cpsMax		Fadein	Fadeout
;i5	0	3	"Partikkel1GrainPitch"	0		1		10	100	 	1	1

; rewrite ftables
; morph to new ftable using curved line transition
;	start	dur	TableName		Curve		Table values (start, end, v1,v2,v3,v4....)
;i10	3	5	"giwavfreqstarttab1"	0		0 2 1 1 2

; morph between current and new ftable using an LFO as control signal
;	start	dur	TableName		LfoAmount	LfoFreq		Fadein	Fadeout		Table values (start, end, v1,v2,v3,v4....)
;i11	8	10	"giwavfreqstarttab1"	1		0.8		3	5		0 4 1 2 3 4 5

; morph between current and new ftable using a random signal (rspline) as control signal
;	start	dur	ParameterName		minValue	maxValue	cpsMin	cpsMax		Fadein	Fadeout		Table values (start, end, v1,v2,v3,v4....)
;i12	6	20	"giwavfreqstarttab1"	0		1		1	10		3	3		0 2 1 1 1

; set source waveforms
;	start	dur	PartikkelVoice	waveSlot (1 to 4)	waveName (global ftable name)
;i20	0	1	1		1			"giVibDist"

;***************************************************

; test automation


; start instance of partikkel
i51 	1 	$SCORELEN								; partikkel instrument

; set initial parameters

;	start	dur	PartikkelVoice	waveSlot (1 to 4)	waveName (global ftable name)
i20	0	1	1		1			"giStruglKor"
i20	0	1	1		2			"giStruglKor"
i20	0	1	1		3			"giStruglKor"
i20	0	1	1		4			"giStruglKor"

;	start	dur	ParameterName				endVal		Curve			
i3	0	1	"Partikkel1WaveX"			0.5		0
i3	.	.	"Partikkel1WaveY"			0.5		0
i3	.	.	"Partikkel1Samplepos1"			0.3		0			
i3	.	.	"Partikkel1Samplepos2"			0.3		0			
i3	.	.	"Partikkel1Samplepos3"			0.3		0			
i3	.	.	"Partikkel1Samplepos4"			0.3		0			
i3	.	.	"Partikkel1GrainRate" 			10		0			
i3	.	.	"Partikkel1GrainDur"  			1		0			
i3	.	.	"Partikkel1GrainPitch1"  		0		0			
i3	.	.	"Partikkel1GrainPitch2"  		0		0			
i3	.	.	"Partikkel1GrainPitch3"  		300		0			
i3	.	.	"Partikkel1GrainPitch4"  		700		0			

; test automation
i3	2	.1	"Partikkel1GrainRate"			$cpsMidi(60)	5
i3	4	.1	"Partikkel1GrainRate"			$cpsMidi(69)	5


/*
; grain rate specified by midi note number
;	start	dur	ParameterName				endVal		Curve			
i3	2	3	"Partikkel1GrainRate"			$cpsMidi(60)	5
i3	6	.1	"Partikkel1GrainRate"			$cpsMidi(63)	0			
i3	7	.1	"Partikkel1GrainRate"			$cpsMidi(67)	0			
i3	9	1	"Partikkel1GrainRate"			$cpsMidi(48)	0			
i3	11	1	"Partikkel1GrainRate"			$cpsMidi(36)	0			
i3	13	2	"Partikkel1GrainDur"  			3		0			
i3	14	2	"Partikkel1Amp"  			0		0			
*/

/*
; transposition spesified by semitone
i3	1	1	"Partikkel1GrainDur"  			3		0			
i3	3	.3	"Partikkel1GrainPitch"  		$semiTone(3)	0			
i3	5	.3	"Partikkel1GrainPitch"  		$semiTone(7)	0			
i3	6	1	"Partikkel1GrainPitch"  		$semiTone(0)	0			
i3	8	1	"Partikkel1GrainPitch3"  		0		0			
i3	9	1	"Partikkel1GrainPitch4"  		0		0			
i3	11	1	"Partikkel1GrainPitch"  		$semiTone(-12)	0			
i3	12	2	"Partikkel1Amp"  			0		0			
*/