
; automation instruments examples (quick reference for commands and p-fields)

; generate curved line from startVal to endVal
;	start	dur	ParameterName		startVal	endVal		Curve			
;i2  	0	3	"Partikkel1GrainPitch" 	1		2		3			

; generate curved line from (current value) to endVal
;	start	dur	ParameterName				endVal		Curve			
;i3	0 	1	"Partikkel1GrainPitch" 			2		0			

; use an LFO to modulate a parameter value
;  	start	dur	ParameterName		LfoAmount	LfoFreq					Fadein	Fadeout
;i4	1	6	"Partikkel1GrainPitch" 	0.5		0.4					1	1

; use random signal (rspline) to modulate a parameter value
;	start	dur	ParameterName		minValue	maxValue	cpsMin	cpsMax		Fadein	Fadeout
;i5	0	3	"Partikkel1GrainPitch"	0		1		10	100	 	1	1

; rewrite ftables
; morph to new ftable using curved line transition
;	start	dur	TableName		Curve		Table values (start, end, v1,v2,v3,v4....)
;i10	3	5	"giwavfreqstarttab1"	0		0 2 1 1 2

; morph between current and new ftable using an LFO as control signal
;	start	dur	TableName		LfoAmount	LfoFreq		Fadein	Fadeout		Table values (start, end, v1,v2,v3,v4....)
;i11	8	10	"giwavfreqstarttab1"	1		0.8		3	5		0 4 1 2 3 4 5

; morph between current and new ftable using a random signal (rspline) as control signal
;	start	dur	ParameterName		minValue	maxValue	cpsMin	cpsMax		Fadein	Fadeout		Table values (start, end, v1,v2,v3,v4....)
;i12	6	20	"giwavfreqstarttab1"	0		1		1	10		3	3		0 2 1 1 1

; set source waveforms
;	start	dur	PartikkelVoice	waveSlot (1 to 4)	waveName (global ftable name)
;i20	0	1	1		1			"giVibDist"

;***************************************************

; test automation

/*
i51 	1 	$SCORELEN								; partikkel instrument
i20	0	1	1	1			"giStruglKor"
i20	0	1	1	2			"giStruglKor"
i20	0	1	1	3			"giStruglKor"
i20	0	1	1	4			"giStruglKor"
i3	0	1	"Partikkel1WaveX"			0.5		0
i3	0	1	"Partikkel1WaveY"			0.5		0
i3	0	6	"Partikkel1Samplepos1"			0.3		0			
i3	0	6	"Partikkel1Samplepos2"			0.3		0			
i3	0	6	"Partikkel1Samplepos3"			0.3		0			
i3	0	6	"Partikkel1Samplepos4"			0.3		0			
i3	0	1	"Partikkel1GrainRate" 			10		0			
i3	0	1	"Partikkel1GrainDur"  			3		0			
i3	3	5	"Partikkel1GrainPitch1"  		100		0			
i3	3	5	"Partikkel1GrainPitch2"  		-100		0			
i3	3	5	"Partikkel1GrainPitch3"  		200		0			
i3	3	5	"Partikkel1GrainPitch4"  		-200		0			
*/

/*
i51 	1 	$SCORELEN								; partikkel instrument
i3	0	1	"Partikkel1GrainRate" 			10		0			
i3	0	1	"Partikkel1GrainDur"  			0.5		0			
i3	0	1	"Partikkel1Samplepos1"			0.5		0			
i4	3	8	"Partikkel1GrainPitch"	0.5		1				3	3
*/
/*
; use tie
i51 	1 	$SCORELEN								; partikkel instrument
i4.1	3	-1	"Partikkel1GrainPitch"	0.5		0.1				1	1
i4.1	6	-1	"Partikkel1GrainPitch"	0.5		0.5				1	1
i4.1	9	-1	"Partikkel1GrainPitch"	0.5		0.8				1	1
i4.1	12	6	"Partikkel1GrainPitch"	0.5		1				1	3
*/

/*
i51 	1 	$SCORELEN								; partikkel instrument
i3	0	1	"Partikkel1Samplepos1"			0.5		0			
i3	0	1	"Partikkel1GrainDur"  			0.5		0			
i10	2	2	"giwavfreqstarttab1"	0		0 2 1 2 3
i10	6	2	"giwavfreqstarttab1"	0		0 2 1 2 2
i11	8	10	"giwavfreqstarttab1"	1		0.8	3	5		0 4 1 2 3 4 5
i11	20	15	"giwavfreqstarttab1"	1		0.5	3	5		0 3 1 2 3 4
*/

/*
i51 	1 	$SCORELEN								; partikkel instrument
i10	2	2	"giwavfreqstarttab1"	0		0 2 1 2 3
i12	6	20	"giwavfreqstarttab1"	0		1		1	10		3	3		0 2 1 1 1
*/

/*
i51 	1 	$SCORELEN								; partikkel instrument
i3	0	1	"Partikkel1GrainRate" 			10		0			
i3	0	1	"Partikkel1Samplepos1"			0.5		0			
;i5	3	3	"Partikkel1GrainPitch"	-0.5		1		50	90		1	1
i4	3	10	"Partikkel1GrainPitch"	0.3		1					3	4
*/


; sync
i51 	1 	$SCORELEN								; partikkel instrument
i52 	1 	$SCORELEN								; partikkel instrument
i53 	1 	$SCORELEN								; partikkel instrument
i54 	1 	$SCORELEN								; partikkel instrument
i3	0	1	"Partikkel1GrainRate" 			4		0			
i3	0	1	"Partikkel2GrainRate" 			5		0			
i3	0	1	"Partikkel3GrainRate" 			3		0			
i3	0	1	"Partikkel4GrainRate" 			3.5		0			
i3	0	1	"Partikkel1Samplepos1"			0.5		0			
i3	0	1	"Partikkel2Samplepos1"			0.5		0			
i3	0	1	"Partikkel3Samplepos1"			0.5		0			
i3	0	1	"Partikkel4Samplepos1"			0.5		0			
i3	2	3	"Partikkel1GrainPitch"			1		0
i3	2	3	"Partikkel2GrainPitch"			1.5		0
i3	2	3	"Partikkel3GrainPitch"			2		0
i3	2	3	"Partikkel4GrainPitch"			0.5		0
i3	0	1	"Partikkel1GrainDur"  			0.3		0
i3	0	1	"Partikkel2GrainDur"  			0.3		0			
i3	0	1	"Partikkel3GrainDur"  			0.3		0			
i3	0	1	"Partikkel4GrainDur"  			0.3		0			
i3	15	20	"Partikkel2SyncGravity"			0.3		1
i3	15	20	"Partikkel3SyncGravity"			0.3		1
i3	15	20	"Partikkel4SyncGravity"			0.3		1

