
; automation instruments examples (quick reference for commands and p-fields)

; generate curved line from startVal to endVal
;	start	dur	ParameterName		startVal	endVal		Curve			
;i2	0	3	"Partikkel1GrainPitch"	1		2		3			

; generate curved line from (current value) to endVal
;	start	dur	ParameterName				endVal		Curve			
;i3	0	1	"Partikkel1GrainPitch"			2		0			

; use an LFO to modulate a parameter value
;	start	dur	ParameterName		LfoAmount	LfoFreq					Fadein	Fadeout
;i4	1	6	"Partikkel1GrainPitch"	0.5		0.4					1	1

; use random signal (rspline) to modulate a parameter value
;	start	dur	ParameterName		minValue	maxValue	cpsMin	cpsMax		Fadein	Fadeout
;i5	0	3	"Partikkel1GrainPitch"	0		1		10	100		1	1

; rewrite ftables
; morph to new ftable using curved line transition
;	start	dur	TableName		Curve		Table values (start, end, v1,v2,v3,v4....)
;i10	3	5	"giwavfreqstarttab1"	0		0 2 1 1 2

; morph between current and new ftable using an LFO as control signal
;	start	dur	TableName		LfoAmount	LfoFreq		Fadein	Fadeout		Table values (start, end, v1,v2,v3,v4....)
;i11	8	10	"giwavfreqstarttab1"	1		0.8		3	5		0 4 1 2 3 4 5

; morph between current and new ftable using a random signal (rspline) as control signal
;	start	dur	ParameterName		minValue	maxValue	cpsMin	cpsMax		Fadein	Fadeout		Table values (start, end, v1,v2,v3,v4....)
;i12	6	20	"giwavfreqstarttab1"	0		1		1	10		3	3		0 2 1 1 1

; set source waveforms
;	start	dur	PartikkelVoice	waveSlot (1 to 4)	waveName (global ftable name)
;i20	0	1	1		1			"giVibDist"

;***************************************************

; start 4 instances of partikkel
i51	1	$SCORELEN								; partikkel instrument
i52	1	$SCORELEN								; partikkel instrument
i53	1	$SCORELEN								; partikkel instrument
i54	1	$SCORELEN								; partikkel instrument

; set initial parameters
i3	0	1	"Partikkel1GrainDur"			0.5		0			
i3	.	.	"Partikkel2GrainDur"			0.5		0			
i3	.	.	"Partikkel3GrainDur"			0.5		0			
i3	.	.	"Partikkel4GrainDur"			0.5		0			
i3	.	.	"Partikkel1Samplepos1"			0.3		0
i3	.	.	"Partikkel2Samplepos1"			0.3		0
i3	.	.	"Partikkel3Samplepos1"			0.3		0
i3	.	.	"Partikkel4Samplepos1"			0.3		0
i3	.	.	"Partikkel1Amp"				0.7		0			
i3	.	.	"Partikkel2Amp"				0.7		0			
i3	.	.	"Partikkel3Amp"				0.7		0			
i3	.	.	"Partikkel4Amp"				0.7		0			

; test automation
;	start	dur	ParameterName				endVal		Curve			
i3	1	4	"Partikkel1GrainRate"			5		0			
i3	.	.	"Partikkel1AdRatio"			0.1		0			

i3	1	4	"Partikkel2GrainRate"			5		0			
i3	.	.	"Partikkel2AdRatio"			0.1		0			

i3	1	4	"Partikkel3GrainRate"			5		0			
i3	.	.	"Partikkel3AdRatio"			0.1		0			

i3	1	4	"Partikkel4GrainRate"			5		0			
i3	.	.	"Partikkel4AdRatio"			0.1		0			

i3	3	5	"Partikkel1GrainPitch1"			100		0
i3	.	.	"Partikkel2GrainPitch1"			300		0
i3	.	.	"Partikkel3GrainPitch1"			500		0
i3	.	.	"Partikkel4GrainPitch1"			700		0

i3	8	4	"Partikkel1GrainRate"			10		0			
i3	.	.	"Partikkel2GrainRate"			8		0			
i3	.	.	"Partikkel3GrainRate"			7		0			
i3	.	.	"Partikkel4GrainRate"			12		0			

i3	12	1	"Partikkel1SyncGravity"			0.2		0			
i3	.	.	"Partikkel2SyncGravity"			0.2		0			
i3	.	.	"Partikkel3SyncGravity"			0.2		0			
i3	.	.	"Partikkel4SyncGravity"			0.2		0			

i3	16	1	"Partikkel1SyncGravity"			0.3		0			
i3	.	.	"Partikkel2SyncGravity"			0.3		0			
i3	.	.	"Partikkel3SyncGravity"			0.3		0			
i3	.	.	"Partikkel4SyncGravity"			0.3		0			

i3	20	1	"Partikkel1SyncGravity"			0.4		0			
i3	.	.	"Partikkel2SyncGravity"			0.4		0			
i3	.	.	"Partikkel3SyncGravity"			0.4		0			
i3	.	.	"Partikkel4SyncGravity"			0.4		0			

i3	24	1	"Partikkel1SyncGravity"			0.5		0			
i3	.	.	"Partikkel2SyncGravity"			0.5		0			
i3	.	.	"Partikkel3SyncGravity"			0.5		0			
i3	.	.	"Partikkel4SyncGravity"			0.5		0			

i3	28	1	"Partikkel1SyncGravity"			0.6		0			
i3	.	.	"Partikkel2SyncGravity"			0.6		0			
i3	.	.	"Partikkel3SyncGravity"			0.6		0			
i3	.	.	"Partikkel4SyncGravity"			0.6		0			
